# Class InGameManip

- Defined in src/test/settingMenu/helpers/inGameManip.ts:8

#####
Index

### Constructors

constructor

### Properties

config
configs
icon
keycode
latestSource
selectedDevice
settingName

### Methods

forTheSource
forTheWantedBind
normalizeSettingNameString
nothingShouldHappen
weShouldSeeTheIcon
weShouldTriggerTheButton
whenWePressOnKeyboard

## Constructors

### constructor

- new InGameManip(configs, config, selectedDevice): InGameManip

- #### Parameters

  - configs: any
  - config: any
  - selectedDevice: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:17

## Properties

### `Private` config

config: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:9

### `Private` configs

configs: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:13

### `Private` icon

icon: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:12

### `Private` keycode

keycode: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:10

### `Private` latestSource

latestSource: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:14

### `Private` selectedDevice

selectedDevice: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:15

### `Private` settingName

settingName: any

- Defined in src/test/settingMenu/helpers/inGameManip.ts:11

## Methods

### forTheSource

- forTheSource(source): InGameManip

- #### Parameters

  - source: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:55

### forTheWantedBind

- forTheWantedBind(settingName): InGameManip

- #### Parameters

  - settingName: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:38

### normalizeSettingNameString

- normalizeSettingNameString(input): any

- #### Parameters

  - input: any

  #### Returns any

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:60

### nothingShouldHappen

- nothingShouldHappen(): InGameManip

- #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:32

### weShouldSeeTheIcon

- weShouldSeeTheIcon(icon): InGameManip

- #### Parameters

  - icon: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:46

### weShouldTriggerTheButton

- weShouldTriggerTheButton(settingName): InGameManip

- #### Parameters

  - settingName: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:71

### whenWePressOnKeyboard

- whenWePressOnKeyboard(keycode): InGameManip

- #### Parameters

  - keycode: any

  #### Returns InGameManip

  - Defined in src/test/settingMenu/helpers/inGameManip.ts:27